# Play What?

*Play What* (beta) is a React component library for visualizing music theory concepts. It provides a simple API for configuring viewer components and creating your own.

For interactive documentation and examples, see my [sample project site](https://dan9418.github.io/play-what-sample/).

## Features

- Presets for Chords, Scales, Modes, and Roman Numerals
- Easy transposition of any concept to any key and/or octave
- Configurable viewer components to visualize these concepts
- Built-in viewers for keyboards and fretboards
- A simple API for creating custom viewers

## Motivation

My primary goals for developing this project were to...

- Learn the ReactJS framework
- Complete a substantial project demonstrating good design and best practices for my portfolio
- Learn complex music theory concepts
- Create a useful, open-source tool that is highly configurable and extensible

## Hire Me

If you like what you see, feel free to contact me! I am currently relocating to the west coast and searching for a web dev job.

My resume and contact information can be found on my [personal website](http://danbednarczyk.com/).